***

title: collect_start_input_timers
slug: /reference/python/rest/calling/collect-start-input-timers
description: Manually start input timers for a collection on a call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

[collect]: /docs/server-sdks/reference/python/rest/calling/collect

Manually start the input timers for a collection that was started without
automatic timer activation. This is useful when you want to play a prompt
before starting the timer countdown.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```python {23}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

# Start collection without auto-timers, play prompt, then start timers
result = client.calling.collect(
    call_id="call-id-xxx",
    digits={"max": 4, "terminators": "#"},
)
control_id = result.get("control_id")

# Play a prompt first
client.calling.play(
    call_id="call-id-xxx",
    play=[{"type": "tts", "text": "Please enter your 4-digit PIN."}]
)

# Now start the input timers
client.calling.collect_start_input_timers(
    call_id="call-id-xxx",
    control_id=control_id,
)
```